Package ghidra.program.model.lang

# Class PcodeParser.PcodeTranslate

java.lang.Object
ghidra.pcodeCPort.translate.Translate
ghidra.pcodeCPort.sleighbase.SleighBase
ghidra.program.model.lang.PcodeParser.PcodeTranslate

All Implemented Interfaces:
  `ghidra.pcodeCPort.sleighbase.NamedSymbolProvider`, `ghidra.pcodeCPort.translate.BasicSpaceProvider`

Enclosing class:
  PcodeParser

public static class PcodeParser.PcodeTranslate extends ghidra.pcodeCPort.sleighbase.SleighBase
This class wraps on existing SleighLanguage with the SleighBase interface expected by PcodeCompile. It populates the symbol table with user-defined operations and the global VarnodeSymbol objects, which typically includes all the general purpose registers.

- ## Field Summary

  ### Fields inherited from class ghidra.pcodeCPort.sleighbase.SleighBase

  `indexer, MAX_UNIQUE_SIZE, maxdelayslotbytes, numSections, root, SLA_FORMAT_VERSION, symtab, unique_allocatemask`

  ### Fields inherited from class ghidra.pcodeCPort.translate.Translate

  `alignment, nohighptr, target_endian`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PcodeTranslate(SleighLanguage language, long ubase)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(ghidra.pcodeCPort.xml.DocumentStorage store)`
  `int`
  `instructionLength(ghidra.pcodeCPort.address.Address baseaddr)`
  `int`
  `printAssembly(PrintStream s, int size, ghidra.pcodeCPort.address.Address baseaddr)`

  ### Methods inherited from class ghidra.pcodeCPort.sleighbase.SleighBase

  `buildXrefs, findSymbol, findSymbol, getRegister, getRegisterName, getUserOpNames, isInitialized, reregisterContext, saveXml`

  ### Methods inherited from class ghidra.pcodeCPort.translate.Translate

  `addSpacebase, assignShortcut, createConstFromSpace, dispose, getAddrSize, getConstant, getConstantSpace, getDefaultSize, getDefaultSpace, getFspecSpace, getIopSpace, getNextSpaceInOrder, getSpace, getSpacebase, getSpaceByName, getSpaceByShortcut, getSpaceBySpacebase, getStackSpace, getUniqueBase, getUniqueSpace, highPtrPossible, insertSpace, isBigEndian, numSpacebase, numSpaces, parseNoHighPtr, parseSpacebase, parseStackPointer, registerContext, restoreXmlSpaces, setDefaultSpace, setLanguage, setUniqueBase`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PcodeTranslate

    public PcodeTranslate(SleighLanguage language, long ubase)

- ## Method Details

  - ### initialize

    public void initialize(ghidra.pcodeCPort.xml.DocumentStorage store)
    Specified by:
      `initialize` in class `ghidra.pcodeCPort.translate.Translate`

  - ### printAssembly

    public int printAssembly(PrintStream s, int size, ghidra.pcodeCPort.address.Address baseaddr)
    Specified by:
      `printAssembly` in class `ghidra.pcodeCPort.translate.Translate`

  - ### instructionLength

    public int instructionLength(ghidra.pcodeCPort.address.Address baseaddr)
    Specified by:
      `instructionLength` in class `ghidra.pcodeCPort.translate.Translate`